Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.command
Class FileGetCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.cms.Command
              org.jboss.portal.cms.impl.jcr.JCRCommand
                  org.jboss.portal.cms.impl.jcr.command.FileGetCommand

All Implemented Interfaces:
  java.io.Serializable

    public class FileGetCommand

extends JCRCommand

Retrieves a file and its versioned, localized content.

Author:
  Roy Russo
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`context, JCR_COMMANDFATORY_ATTRIBUTE, JCR_LOCALE_ATTRIBUTE, JCR_SESSION_ATTRIBUTE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`FileGetCommand(java.lang.String sPath, java.util.Locale locale)` Retrieves the "LIVE" version of the file.
`FileGetCommand(java.lang.String sPath, java.lang.String sVersionNumber, java.util.Locale locale)` Use this constructor for retrieveing a specific version of the file.

Method Summary
`java.lang.Object` | `execute()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getVersionNumber()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`getContext, setContext`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileGetCommand

    public FileGetCommand(java.lang.String sPath,
                          java.util.Locale locale)

  Retrieves the "LIVE" version of the file. Useful for serving content.

  Parameters:
    `sPath` - Path of *original* file.

### FileGetCommand

    public FileGetCommand(java.lang.String sPath,
                          java.lang.String sVersionNumber,
                          java.util.Locale locale)

  Use this constructor for retrieveing a specific version of the file.

  Parameters:
    `sPath` - Path of *original* file.
    `sVersionNumber` - Identifier used to retrieve the specific version.
    `locale` - Locale of content to be retrieved.

Method Detail

### getPath

    public java.lang.String getPath()

### getVersionNumber

    public java.lang.String getVersionNumber()

### getLocale

    public java.util.Locale getLocale()

### execute

    public java.lang.Object execute()

  Specified by:
    `execute` in class `JCRCommand`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.